MyGUI: MyGUI::types::TSize< T > Struct Template Reference

MyGUI 3.4.3

Public Member Functions | Static Public Member Functions | Data Fields | Friends
MyGUI::types::TSize< T > Struct Template Reference

`#include <MyGUI_TSize.h>`

Inheritance diagram for MyGUI::types::TSize< T >:
[legend]

## Public Member Functions
| TSize ()=default
| TSize (T const &_width, T const &_height)
TSize & | operator-= (TSize const &_obj)
TSize & | operator+= (TSize const &_obj)
TSize | operator- (TSize const &_obj) const
TSize | operator+ (TSize const &_obj) const
template<typename U>
TSize & | operator= (TSize< U > const &_obj)
bool | operator== (TSize const &_obj) const
bool | operator!= (TSize const &_obj) const
void | clear ()
void | set (T const &_width, T const &_height)
void | swap (TSize &_value)
bool | empty () const
std::string | print () const

## Static Public Member Functions
static TSize< T > | parse (std::string_view _value)

## Data Fields
T | width {}
T | height {}

## Friends
std::ostream & | operator<< (std::ostream &_stream, const TSize< T > &_value)
std::istream & | operator>> (std::istream &_stream, TSize< T > &_value)

## Detailed Description

template<typename T>
struct MyGUI::types::TSize< T >

Definition at line 17 of file MyGUI_TSize.h.

## Constructor & Destructor Documentation

## ◆ TSize() [1/2]

template<typename T>

MyGUI::types::TSize< T >::TSize | ( |  | ) |
| default

## ◆ TSize() [2/2]

template<typename T>

MyGUI::types::TSize< T >::TSize | ( | T const & | _width,
|  | T const & | _height )
| inline

Definition at line 24 of file MyGUI_TSize.h.

## Member Function Documentation

## ◆ clear()

template<typename T>

void MyGUI::types::TSize< T >::clear | ( |  | ) |
| inline

Definition at line 72 of file MyGUI_TSize.h.

## ◆ empty()

template<typename T>

bool MyGUI::types::TSize< T >::empty | ( |  | ) | const
| inline

Definition at line 90 of file MyGUI_TSize.h.

## ◆ operator!=()

template<typename T>

bool MyGUI::types::TSize< T >::operator!= | ( | TSize< T > const & | _obj | ) | const
| inline

Definition at line 67 of file MyGUI_TSize.h.

## ◆ operator+()

template<typename T>

TSize MyGUI::types::TSize< T >::operator+ | ( | TSize< T > const & | _obj | ) | const
| inline

Definition at line 49 of file MyGUI_TSize.h.

## ◆ operator+=()

template<typename T>

TSize & MyGUI::types::TSize< T >::operator+= | ( | TSize< T > const & | _obj | ) |
| inline

Definition at line 37 of file MyGUI_TSize.h.

## ◆ operator-()

template<typename T>

TSize MyGUI::types::TSize< T >::operator- | ( | TSize< T > const & | _obj | ) | const
| inline

Definition at line 44 of file MyGUI_TSize.h.

## ◆ operator-=()

template<typename T>

TSize & MyGUI::types::TSize< T >::operator-= | ( | TSize< T > const & | _obj | ) |
| inline

Definition at line 30 of file MyGUI_TSize.h.

## ◆ operator=()

template<typename T>
template<typename U>

TSize & MyGUI::types::TSize< T >::operator= | ( | TSize< U > const & | _obj | ) |
| inline

Definition at line 55 of file MyGUI_TSize.h.

## ◆ operator==()

template<typename T>

bool MyGUI::types::TSize< T >::operator== | ( | TSize< T > const & | _obj | ) | const
| inline

Definition at line 62 of file MyGUI_TSize.h.

## ◆ parse()

template<typename T>

TSize< T > MyGUI::types::TSize< T >::parse | ( | std::string_view | _value | ) |
| inlinestatic

Definition at line 102 of file MyGUI_TSize.h.

## ◆ print()

template<typename T>

std::string MyGUI::types::TSize< T >::print | ( |  | ) | const
| inline

Definition at line 95 of file MyGUI_TSize.h.

## ◆ set()

template<typename T>

void MyGUI::types::TSize< T >::set | ( | T const & | _width,
|  | T const & | _height )
| inline

Definition at line 77 of file MyGUI_TSize.h.

## ◆ swap()

template<typename T>

void MyGUI::types::TSize< T >::swap | ( | TSize< T > & | _value | ) |
| inline

Definition at line 83 of file MyGUI_TSize.h.

## Friends And Related Symbol Documentation

## ◆ operator<<

template<typename T>

std::ostream & operator<< | ( | std::ostream & | _stream,
|  | const TSize< T > & | _value )
| friend

Definition at line 107 of file MyGUI_TSize.h.

## ◆ operator>>

template<typename T>

std::istream & operator>> | ( | std::istream & | _stream,
|  | TSize< T > & | _value )
| friend

Definition at line 113 of file MyGUI_TSize.h.

## Field Documentation

## ◆ height

template<typename T>

T MyGUI::types::TSize< T >::height {}

Definition at line 20 of file MyGUI_TSize.h.

## ◆ width

template<typename T>

T MyGUI::types::TSize< T >::width {}

Definition at line 19 of file MyGUI_TSize.h.

The documentation for this struct was generated from the following file:

- MyGUI_TSize.h